Subject: bug#3576: 23.0.94; scroll bar scrolls past eob - keeps scrolling

From: "Drew Adams" <[email-masked]>
Date: Mon, 15 Jun 2009 10:44:40 -0700

> > At least on MS Windows, when you scroll down, you keep 
> > scrolling past the end of the buffer, without (noticeable) limit.
> 
> Scroll how?  Please give a complete recipe, starting with "emacs -Q".
> FWIW, I cannot reproduce this on MS-Windows using the latest pretest.

Sorry, I meant scroll by dragging (downward) the scroll-bar handle with the
mouse (e.g. mouse-1).

But I see now that scrolling does *not* continue forever. It does continue past
eob, sometimes as much as a whole blank screen, but it stops at some point.

Point does not move past eob, of course; it is just the window that scrolls.

emacs -Q
grab vertical scroll bar with mouse-1 and drag down

Buffers with different contents have different amounts of blank overshoot scroll
(i.e. past eob). It seems that the max overshoot is a full blank screen. It also
seems that larger buffers have more overshoot. So to see this with a full blank
window of overshoot, try scrolling a large buffer.